Skip to main content
POST
/
integration
/
search
Search and filter integration
curl --request POST \
  --url https://api.draftt.io/v1/integration/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filter": {
    "type": "aws"
  },
  "sort": {
    "createdAt": "asc"
  },
  "nextToken": "eyJza2lwIjoxMH0",
  "pageSize": 10
}
'
{
  "items": [
    {
      "id": 1,
      "name": "My AWS Integration",
      "type": "aws",
      "status": "Healthy",
      "details": {
        "externalId": "abc123",
        "roleArn": "arn:aws:iam::123456789012:role/my-role",
        "accountId": "123456789012"
      },
      "createdAt": "2024-12-01T12:00:00.000Z",
      "updatedAt": "2024-12-23T12:00:00.000Z"
    }
  ],
  "nextToken": "<string>",
  "totalCount": 12
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
filter
object
Example:
{ "type": "aws" }
sort
object
Example:
{ "createdAt": "asc" }
nextToken
string
Example:

"eyJza2lwIjoxMH0"

pageSize
integer
default:10
Required range: 1 <= x <= 100

Response

Success

items
object[]
required
nextToken
string
totalCount
integer
Example:

12